Subject: RE: bug#8924: 23.3; Editing is rather difficult using vc with RCS backend

From: Richard Stanton <[email-masked]>
Date: Fri, 24 Jun 2011 11:13:31 -0700

> From: Eli Zaretskii [mailto:[email-masked]]
> Sent: Friday, June 24, 2011 10:23 AM
> To: Richard Stanton
> Cc: [email-masked]
> Subject: Re: bug#8924: 23.3; Editing is rather difficult using vc with RCS
> backend

> If you are using the Cygwin build of RCS with a native build of Emacs, there
> could be problems that I'm not aware of.  I don't use Cygwin.

That's certainly possible, though this is how I've always done it.

> > What version of RCS are you using?

> The native Windows port I found on the GnuWin32 site.

I may well be missing something obvious, but I can't find an RCS port at the GnuWin32 site.

> > The buffer itself is not read-only, but the file seems to be.
> 
> That is already a sign of a problem.  The buffer should be read-only.
> 
> What does "rlog test.tex" show after that initial checkin?

C:\projects\test\version\rcstest>rlog test.tex

RCS file: RCS/test.tex,v
Working file: test.tex
head: 1.1
branch:
locks: strict
access list:
symbolic names:
keyword substitution: kv
total revisions: 1;     selected revisions: 1
description:
----------------------------
revision 1.1
date: 2011/06/24 18:10:25;  author: stanton;  state: Exp;
Initial revision
=============================================================================

> What does user-login-name and user-real-login-name return inside Emacs?

user-login-name: "stanton"
user-real-login-name: "stanton"